Index: EcnlProtoTool/trunk/mruby-1.2.0/mrbgems/mruby-string-ext/test/string.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/mrbgems/mruby-string-ext/test/string.rb	(revision 299)
+++ EcnlProtoTool/trunk/mruby-1.2.0/mrbgems/mruby-string-ext/test/string.rb	(revision 321)
@@ -309,6 +309,6 @@
   assert_equal "-b-", "-a-".succ
   assert_equal "-aa-", "-z-".succ
-  assert_equal "ãb", "ãa".succ
-  assert_equal "ãba", "ãaz".succ
+  assert_equal "あb", "あa".succ
+  assert_equal "あba", "あaz".succ
 
   a = ""; a.succ!
@@ -379,8 +379,8 @@
   a = "-z-"; a.succ!
   assert_equal "-aa-", a
-  a = "ãb"; a.succ!
-  assert_equal "ãc", a
-  a = "ãaz"; a.succ!
-  assert_equal "ãba", a
+  a = "あb"; a.succ!
+  assert_equal "あc", a
+  a = "あaz"; a.succ!
+  assert_equal "あba", a
 end
 
@@ -484,5 +484,5 @@
 
 assert('String#ord(UTF-8)') do
-  got = "ããã«ã¡ã¯ä¸ç!".split('').map {|x| x.ord}
+  got = "こんにちは世界!".split('').map {|x| x.ord}
   expect = [0x3053,0x3093,0x306b,0x3061,0x306f,0x4e16,0x754c,0x21]
   assert_equal expect, got
@@ -493,5 +493,5 @@
 end
 assert('String#chr(UTF-8)') do
-  assert_equal "ã", "ããã«ã¡ã¯ä¸ç!".chr
+  assert_equal "こ", "こんにちは世界!".chr
 end if UTF8STRING
 
@@ -507,11 +507,11 @@
 
 assert('String#chars(UTF-8)') do
-  expect = ['ã', 'ã', 'ã«', 'ã¡', 'ã¯', 'ä¸', 'ç', '!']
-  assert_equal expect, "ããã«ã¡ã¯ä¸ç!".chars
+  expect = ['こ', 'ん', 'に', 'ち', 'は', '世', '界', '!']
+  assert_equal expect, "こんにちは世界!".chars
   s = ""
-  "ããã«ã¡ã¯ä¸ç!".chars do |x|
+  "こんにちは世界!".chars do |x|
     s += x
   end
-  assert_equal "ããã«ã¡ã¯ä¸ç!", s
+  assert_equal "こんにちは世界!", s
 end if UTF8STRING
 
@@ -526,8 +526,8 @@
 assert('String#each_char(UTF-8)') do
   s = ""
-  "ããã«ã¡ã¯ä¸ç!".each_char do |x|
+  "こんにちは世界!".each_char do |x|
     s += x
   end
-  assert_equal "ããã«ã¡ã¯ä¸ç!", s
+  assert_equal "こんにちは世界!", s
 end if UTF8STRING
 
@@ -544,7 +544,7 @@
 assert('String#codepoints(UTF-8)') do
   expect = [12371, 12435, 12395, 12385, 12399, 19990, 30028, 33]
-  assert_equal expect, "ããã«ã¡ã¯ä¸ç!".codepoints
+  assert_equal expect, "こんにちは世界!".codepoints
   cp = []
-  "ããã«ã¡ã¯ä¸ç!".codepoints do |x|
+  "こんにちは世界!".codepoints do |x|
     cp << x
   end
@@ -564,5 +564,5 @@
   expect = [12371, 12435, 12395, 12385, 12399, 19990, 30028, 33]
   cp = []
-  "ããã«ã¡ã¯ä¸ç!".each_codepoint do |x|
+  "こんにちは世界!".each_codepoint do |x|
     cp << x
   end
Index: EcnlProtoTool/trunk/mruby-1.2.0/test/t/string.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/test/t/string.rb	(revision 299)
+++ EcnlProtoTool/trunk/mruby-1.2.0/test/t/string.rb	(revision 321)
@@ -83,10 +83,10 @@
 
 assert('String#[](UTF-8)', '15.2.10.5.6') do
-  assert_equal "ã¡", "ããã«ã¡ã¯ä¸ç"[3]
-  assert_equal nil, "ããã«ã¡ã¯ä¸ç"[20]
-  assert_equal "ä¸", "ããã«ã¡ã¯ä¸ç"[-2]
-  assert_equal "ä¸ç", "ããã«ã¡ã¯ä¸ç"[-2..-1]
-  assert_equal "ãã«", "ããã«ã¡ã¯ä¸ç"[1,2]
-  assert_equal "ä¸", "ããã«ã¡ã¯ä¸ç"["ä¸"]
+  assert_equal "ち", "こんにちは世界"[3]
+  assert_equal nil, "こんにちは世界"[20]
+  assert_equal "世", "こんにちは世界"[-2]
+  assert_equal "世界", "こんにちは世界"[-2..-1]
+  assert_equal "んに", "こんにちは世界"[1,2]
+  assert_equal "世", "こんにちは世界"["世"]
 end if UTF8STRING
 
@@ -266,10 +266,10 @@
 assert('String#chop(UTF-8)', '15.2.10.5.11') do
   a = ''.chop
-  b = 'ããã'.chop
-  c = "ã\nã".chop.chop
+  b = 'あいう'.chop
+  c = "あ\nい".chop.chop
 
   assert_equal '', a
-  assert_equal 'ãã', b
-  assert_equal 'ã', c
+  assert_equal 'あい', b
+  assert_equal 'あ', c
 end if UTF8STRING
 
@@ -287,6 +287,6 @@
 assert('String#chop!(UTF-8)', '15.2.10.5.12') do
   a = ''
-  b = "ãããã\n"
-  c = "ãããã\n"
+  b = "あいうえ\n"
+  c = "あいうえ\n"
 
   a.chop!
@@ -296,6 +296,6 @@
 
   assert_equal a, ''
-  assert_equal b, 'ãããã'
-  assert_equal c, 'ããã'
+  assert_equal b, 'あいうえ'
+  assert_equal c, 'あいう'
 end if UTF8STRING
 
@@ -450,10 +450,10 @@
 
 assert('String#reverse(UTF-8)', '15.2.10.5.29') do
-  assert_equal "ã¡", "ããã«ã¡ã¯ä¸ç"[3]
-  assert_equal nil, "ããã«ã¡ã¯ä¸ç"[20]
-  assert_equal "ä¸", "ããã«ã¡ã¯ä¸ç"[-2]
-  assert_equal "ä¸ç", "ããã«ã¡ã¯ä¸ç"[-2..-1]
-  assert_equal "ãã«", "ããã«ã¡ã¯ä¸ç"[1,2]
-  assert_equal "ä¸", "ããã«ã¡ã¯ä¸ç"["ä¸"]
+  assert_equal "ち", "こんにちは世界"[3]
+  assert_equal nil, "こんにちは世界"[20]
+  assert_equal "世", "こんにちは世界"[-2]
+  assert_equal "世界", "こんにちは世界"[-2..-1]
+  assert_equal "んに", "こんにちは世界"[1,2]
+  assert_equal "世", "こんにちは世界"["世"]
 end if UTF8STRING
 
@@ -467,9 +467,9 @@
 
 assert('String#reverse!(UTF-8)', '15.2.10.5.30') do
-  a = 'ããã«ã¡ã¯ä¸ç!'
+  a = 'こんにちは世界!'
   a.reverse!
 
-  assert_equal '!çä¸ã¯ã¡ã«ãã', a
-  assert_equal '!çä¸ã¯ã¡ã«ãã', 'ããã«ã¡ã¯ä¸ç!'.reverse!
+  assert_equal '!界世はちにんこ', a
+  assert_equal '!界世はちにんこ', 'こんにちは世界!'.reverse!
 end if UTF8STRING
 
@@ -482,9 +482,9 @@
 
 assert('String#rindex(UTF-8)', '15.2.10.5.31') do
-  str = "ããã«ã¡ã¯ä¸ç!\nããã«ã¡ã¯ä¸ç!"
-  assert_nil str.index('ã')
-  assert_equal 3, str.index('ã¡')
-  assert_equal 12, str.index('ã¡', 10)
-  assert_equal nil, str.index("ã")
+  str = "こんにちは世界!\nこんにちは世界!"
+  assert_nil str.index('さ')
+  assert_equal 3, str.index('ち')
+  assert_equal 12, str.index('ち', 10)
+  assert_equal nil, str.index("さ")
 end if UTF8STRING
 
@@ -496,5 +496,5 @@
 
 assert('String#size(UTF-8)', '15.2.10.5.33') do
-  str = 'ããã«ã¡ã¯ä¸ç!'
+  str = 'こんにちは世界!'
   assert_equal 8, str.size
   assert_not_equal str.bytesize, str.size
@@ -550,8 +550,8 @@
 
 assert('String#split(UTF-8)', '15.2.10.5.35') do
-  got = "ããã«ã¡ã¯ä¸ç!".split('')
-  assert_equal ['ã', 'ã', 'ã«', 'ã¡', 'ã¯', 'ä¸', 'ç', '!'], got
-  got = "ããã«ã¡ã¯ä¸ç!".split('ã«')
-  assert_equal ['ãã', 'ã¡ã¯ä¸ç!'], got
+  got = "こんにちは世界!".split('')
+  assert_equal ['こ', 'ん', 'に', 'ち', 'は', '世', '界', '!'], got
+  got = "こんにちは世界!".split('に')
+  assert_equal ['こん', 'ちは世界!'], got
 end if UTF8STRING
 
